Bug 197478 - [MAINTAINER][PATCH] update games/wesnoth to 1.12.1
Summary: [MAINTAINER][PATCH] update games/wesnoth to 1.12.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jan Beich
URL:
Keywords:
Depends on: 197496
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-09 11:34 UTC by Torsten Zühlsdorff
Modified: 2015-04-17 08:11 UTC (History)
0 users

See Also:


Attachments
Patch against games/wesnoth (1.04 KB, patch)
2015-02-09 11:34 UTC, Torsten Zühlsdorff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2015-02-09 11:34:54 UTC
Created attachment 152793 [details]
Patch against games/wesnoth

Update games/wesnoth to new version 1.12.1.

Patch attached.

Poudriere test-log (3.9 MB):
http://ports.toco-domains.de/poudriere-test-logs/wesnoth-1.12.1.log
Comment 1 Torsten Zühlsdorff 2015-02-10 09:13:04 UTC
Yesterday a new patch for the port arrived. I will merge the new patch with this one and post an update for it. Therefore please do nothing here.
Comment 2 commit-hook freebsd_committer 2015-02-17 01:16:49 UTC
A commit references this bug:

Author: jbeich
Date: Tue Feb 17 01:16:12 UTC 2015
New revision: 379131
URL: https://svnweb.freebsd.org/changeset/ports/379131

Log:
  - Update to 1.12.1 [1]
  - Convert to option helpers
  - Stagify NLS option
  - Drop unsupported POOLALLOC and PYTHON options
  - Rename TESTS to TEST
  - Track direct usage of vorbisfile and fontconfig
  - Append / (slash) in MASTER_SITES
  - Don't redefine default WRKSRC

  Changes:	http://forums.wesnoth.org/viewtopic.php?t=41544
  PR:		197478 [1]
  PR:		197496
  Submitted by:	Torsten Z?hlsdorff (maintainer) [1]
  Reviewed by:	bapt, Torsten Z?hlsdorff
  Approved by:	Torsten Z?hlsdorff (maintainer)
  Approved by:	bapt (mentor)

Changes:
  head/games/wesnoth/Makefile
  head/games/wesnoth/distinfo
  head/games/wesnoth/pkg-plist
Comment 3 Jan Beich freebsd_committer 2015-02-17 01:21:33 UTC
Thanks. Committed.
Comment 4 Jan Beich freebsd_committer 2015-04-17 08:10:48 UTC
Committed. Thanks.
Comment 5 Jan Beich freebsd_committer 2015-04-17 08:11:49 UTC
Wrong bugid for pybugz. Sorry.